﻿
@{
    ViewBag.Title = "Mon panier";
}

<h2>Prochaines formations à suivre</h2>

@if (User.Identity.IsAuthenticated) {

    if (((IEnumerable<CoreData.Formation>)Session["formations"]).Count() == 0) {
    
        <center>
            <img src="https://www.seekpng.com/png/detail/117-1170538_404-your-cart-is-empty.png" />
        </center>
    }
    else
    {
        
<div class="container ">
    @Html.ActionLink("Vider le panier", "ClearCart", null, new { @class = "btn btn-avis-formation", style = "margin-right:10px;margin-bottom:10px;" })
    @Html.ActionLink("Toutes les formations", "Index", "Formation", null, new { @class = "btn btn-avis-formation", style = "margin-right:10px;margin-bottom:10px;" })

    @foreach (var formation in ((IEnumerable<CoreData.Formation>)Session["formations"]).ToList())
    {
        <article class="info-block-cart">
            <h4>
                @Html.ActionLink(formation.Nom, "Details", "Formation", new { id = formation.Id }, new { @class = "lien-formation" })
            </h4>

            <p>@formation.Description</p>

            <a href="@Url.Action("DeleteById", new { formationId = formation.Id})">
                <div style="text-align: center; position:absolute; right:0px; top:0px; width : 30px; height : 100%; background-color : orange; border-top-right-radius: 4px;border-bottom-right-radius: 4px;display: flex; justify-content: center; align-items: center;">
                    <i class="fas fa-shopping-cart" style="color:navajowhite;"></i>
                </div>
            </a>
        </article>
    }
    <div style="display:flex; justify-content:flex-end;">
        @Html.ActionLink("Commander les formations", "ClearCart", null, new { @class = "btn btn-success", style="margin-top:10px;"})
    </div>

</div>
    }
}
